
Figure - Bug #115979
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113423 (New): V4.0专项--BSP专项--稳定性-各项功能长时间运行

【AF】【EVT】【稳定性】【偶现】使用MTBF脚本进行24小时稳定性测试过程中，出现游戏模式小窗显示在
非游戏界面
2023-02-07 10:49 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-02-07

Priority: Normal Due date: 2023-02-17

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version: 2023-02-21

Test Type: IT Root cause: 设备配置（方向、语言等）变化后的处理逻辑问题导致。

Description

【前提条件】

1、设备成功启动

2、确保MTBF脚本运行的前置条件已准备

【测试步骤】

1、使用python运行对应MTBF脚本

2、运行24小时

3、查看设备运行测试结果

【预期结果】

3、设备正常运行，没有崩溃，重启等现象

【实际结果】

3、其游戏模式工具图标显示在非游戏界面

【复现率】

History

#1 - 2023-02-07 14:13 - CD FW-程天颖

- Status changed from New to ASSIGNED

#2 - 2023-02-07 14:21 - 物联网测试组_CDTS 段小刚

- File Fmtbf.zip added

#3 - 2023-02-08 10:11 - 物联网测试组_CDTS 段小刚

Tlog已抓取，由于过大无法上传，飞书发送

#4 - 2023-02-08 20:02 - CD FW 曹覃刚

- Due date set to 2023-02-17

添加计划完成日期
#5 - 2023-02-13 20:32 - CD FW 曹覃刚

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#6 - 2023-02-20 18:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182816 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:GameMode: Fix float view show problem.1. fix float view show problem;2. Opt log print and data get logical;3. Opt notification service listener logical;TC-RID:

1201-0204801IssueID: TS-R-BUG-115979Change-Id: Iab162f468a487698c44fa6e56f1a97ecf2286a48

#7 - 2023-02-20 18:08 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-20

- Root cause set to 设备配置（方向、语言等）变化后的处理逻辑问题导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

设备配置（方向、语言等）变化后的处理逻辑问题导致。

■ Next action

测试验证。

#8 - 2023-02-21 19:40 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CDTS_Test 吴诗雨

#9 - 2023-02-21 20:03 - CD FW-廖涛

- Status changed from RESOLVED to ASSIGNED

- Resolution changed from FIXED to --

- Fixed Version changed from 2023-02-20 to 2023-02-21

#10 - 2023-02-21 20:03 - CD FW-廖涛

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-廖涛

#11 - 2023-02-21 20:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

183320 general/platform/vendor/thundercom
Pre_figure_turbox-c2130c-la1.1-qssi12 tao.liao@thundersoft.com



m/apps/GameMode -dev

AF:GameMode: Fix float view show problem.TC-RID: 1201-0204801IssueID: TS-R-BUG-115979Change-Id: Ie0886aca5cfb17a755b7305356daa268b11f157b

#12 - 2023-02-21 20:37 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

■ Current conclusion

已处理，代码已入库。

■ My analysis

补充打开工具栏进入屏保的一个场景。

■ Next action

测试验证。

#13 - 2023-02-23 17:49 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

MTBF脚本跑测

【验证版本】

FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

【验证情况】

两台设备跑测20h+

【验证结果】

未出现出现在非游戏界面的情况，pass

#14 - 2023-02-23 17:49 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

20230207-104848.jpg 82.4 KB 2023-02-07 物联网测试组_CDTS 段小刚

20230207-104855.jpg 44.8 KB 2023-02-07 物联网测试组_CDTS 段小刚

Fmtbf.zip 3.34 MB 2023-02-07 物联网测试组_CDTS 段小刚
